RIPurger
Date: 2014-06-19

org.gcube.informationsystem.registry.impl.postprocessing.remove

## Class RIPurger

- java.lang.Object
- - org.gcube.informationsystem.registry.impl.postprocessing.remove.RIPurger

- All Implemented Interfaces:
    Purger<GCUBERunningInstance>

      public class RIPurger
      extends java.lang.Object
      implements Purger<GCUBERunningInstance>

  Purger for Running Instance resources. Cleanup all the resources related to a just-deleted RI.
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RIPurger()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the type of resource managed by the purgerE
    `java.util.Set<java.lang.String>` | `purge(java.lang.String id, GCUBEScope scope)` Purges the RESOURCE

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RIPurger

          public RIPurger()

  - ### Method Detail

    - #### purge

          public java.util.Set<java.lang.String> purge(java.lang.String id,
                                              GCUBEScope scope)
                                                throws java.lang.Exception

      Purges the RESOURCE
      Specified by:
        `purge` in interface `Purger<GCUBERunningInstance>`
      Parameters:
        `id` - the resource identifier
        `scope` - the operational scope
      Returns:
        the identifiers of the deleted resources
      Throws:
        `java.lang.Exception` - if the purging operation fails

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Purger`
      Gets the type of resource managed by the purgerE
      Specified by:
        `getName` in interface `Purger<GCUBERunningInstance>`
      Returns:
        the type